View Issue Details

IDProjectCategoryView StatusLast Update
0017561LazarusWidgetsetpublic2011-12-01 11:24
ReporterMartin FriebeAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0017561: W32: Form.hide fails with Application.TaskBarBehavior:=tbMultiButton (regression)
Descriptionobserved on Windows Vista

In the attached app you can press "button1" to show a 3rd form.

This 3rd form will either close in Form3.OnClick (click on form3 itself) or Form3.Deactivate (click on any of the 2 other forms)

- press button1 => form3 appears
- click any form => form3 is hidden
- press button "multibutton" (taskbar shows "project1" and "form2")
- press button1 => form3 appears
- click any form
 Form3 should get hidden, but does not get hidden
Additional InformationThis is a regression.
"Application.TaskBarBehavior" does not exist in 0.9.28.2.

But the issue also happens with:

procedure TForm1.Button3Click(Sender: TObject);
begin
form1.ShowInTaskBar:=stDefault;
form2.ShowInTaskBar:=stNever;
form3.ShowInTaskBar:=stNever;
  //Application.TaskBarBehavior:=tbSingleButton;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
form1.ShowInTaskBar:=stAlways;
form2.ShowInTaskBar:=stAlways;
form3.ShowInTaskBar:=stAlways;
// Application.TaskBarBehavior:=tbMultiButton;
end;


This code works in SVN and 0.9.28.2.
It fails to close form3 with svn, but works in 0.9.28.2
TagsNo tags attached.
Fixed in Revision27714
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

2010-10-06 20:54

 

focus_bug.rar (3,432 bytes)

Paul Ishenin

2010-10-15 08:47

manager   ~0041827

Please test and close if ok.

Issue History

Date Modified Username Field Change
2010-10-06 20:54 Martin Friebe New Issue
2010-10-06 20:54 Martin Friebe File Added: focus_bug.rar
2010-10-06 20:54 Martin Friebe LazTarget => -
2010-10-06 20:54 Martin Friebe Widgetset => Win32/Win64
2010-10-06 20:55 Martin Friebe LazTarget - => 0.9.30
2010-10-06 20:55 Martin Friebe Target Version => 0.9.30
2010-10-15 08:47 Paul Ishenin Fixed in Revision => 27714
2010-10-15 08:47 Paul Ishenin Status new => resolved
2010-10-15 08:47 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-10-15 08:47 Paul Ishenin Resolution open => fixed
2010-10-15 08:47 Paul Ishenin Assigned To => Paul Ishenin
2010-10-15 08:47 Paul Ishenin Note Added: 0041827
2011-12-01 11:24 Marc Weustink Status resolved => closed